---
type: api
title: Pause a follower
description: Pause a cross-cluster replication follower index.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/v9/operation/operation-ccr-pause-follow
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/v9/operation/operation-ccr-pause-follow
products:
  - Elasticsearch
---

# Pause a follower

Availability: Generally available since 6.5

## Paths

- `POST` `/{index}/_ccr/pause_follow`

#### Path parameters

- `index` (string) — required
  The name of the follower index.

## Description

Pause a cross-cluster replication follower index.
The follower index will not fetch any additional operations from the leader index.
You can resume following with the resume follower API.
You can pause and resume a follower index to change the configuration of the following task.

## Required authorization

- Cluster privileges: `manage_ccr`

## Authentication

- Api key: `Authorization: <value>`
  Elasticsearch APIs support key-based authentication.
  You must create an API key and use the encoded value in the request header.
  For example:
  
  
  ```
  curl -X GET "${ES_URL}/_cat/indices?v=true" \
    -H "Authorization: ApiKey ${API_KEY}"
  ```
  
  To get API keys, use the `/_security/api_key` APIs.
- Basic: `Authorization: Basic <credentials>`
- Bearer: `Authorization: Bearer <token>`
  Elasticsearch APIs support the use of bearer tokens in the `Authorization` HTTP header to authenticate with the API.
  For examples, refer to [Token-based authentication services](https://www.elastic.co/docs/deploy-manage/users-roles/cluster-or-deployment-auth/token-based-authentication-services)

## Query string parameters

- `master_timeout` (string · default: 30s) — optional
  The period to wait for a connection to the master node.
If the master node is not available before the timeout expires, the request fails and returns an error.
It can also be set to `-1` to indicate that the request should never timeout.

## Response

`application/json`

- `acknowledged` (boolean)
  For a successful response, this value is always true. On failure, an exception is returned instead.
## Code examples

#### Console

```console
POST /follower_index/_ccr/pause_follow
```

#### JavaScript

```javascript
const response = await client.ccr.pauseFollow({
  index: "follower_index",
});
```

#### Python

```python
resp = client.ccr.pause_follow(
    index="follower_index",
)
```

#### curl

```curl
curl -X POST "$ELASTICSEARCH_URL/follower_index/_ccr/pause_follow" \
  -H "Authorization: ApiKey $ELASTIC_API_KEY"
```

#### Java

```java
client.ccr().pauseFollow(p -> p
    .index("follower_index")
);
```

#### C#

```c#
var response = await client.CrossClusterReplication.PauseFollowAsync(index: "follower_index");
```

#### PHP

```php
$resp = $client->ccr()->pauseFollow([
    "index" => "follower_index",
]);
```

#### Ruby

```ruby
response = client.ccr.pause_follow(
  index: "follower_index"
)
```

## Response examples

#### Pause follow index response example1

A successful response from `POST /follower_index/_ccr/pause_follow`, which pauses a follower index.

```json
{
  "acknowledged" : true
}
```

